Skip to content

Exportar análisis de series de datos de Canvas

get

/canvas/data_series

Usa este punto de conexión para exportar datos de series temporales de un Canvas.

Requisitos previos

Para usar este punto de conexión, necesitarás una clave de API con el permiso canvas.data_series.

Límite de velocidad

Aplicamos el límite de velocidad predeterminado de Braze de 250 000 solicitudes por hora a este punto de conexión, como se documenta en Límites de velocidad de la API.

Parámetros de la solicitud

Parámetro Obligatorio Tipo de datos Descripción
canvas_id Obligatorio Cadena Consulta Identificador de API de Canvas.
ending_at Obligatorio Fecha y hora
(cadena ISO-8601)
Fecha en la que debe finalizar la exportación de datos. De forma predeterminada, la hora de la solicitud.
starting_at Opcional* Fecha y hora
(cadena ISO-8601)
Fecha en la que debe comenzar la exportación de datos.

* Se requiere length o starting_at.
length Opcional* Cadena Número máximo de días antes de ending_at a incluir en la serie devuelta. Debe estar comprendido entre 1 y 14 (ambos inclusive).

* Se requiere length o starting_at.
include_variant_breakdown Opcional Booleano Incluir o no estadísticas de variantes (por defecto false).
include_step_breakdown Opcional Booleano Incluir o no estadísticas de pasos (por defecto false).
include_deleted_step_data Opcional Booleano Incluir o no las estadísticas de los pasos eliminados (por defecto false).

Ejemplo de solicitud

1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/canvas/data_series?canvas_id={{canvas_id}}&ending_at=2018-05-30T23:59:59-5:00&starting_at=2018-05-28T23:59:59-5:00&include_variant_breakdown=true&include_step_breakdown=true&include_deleted_step_data=true' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

Respuesta

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
{
  "data": {
    "name": (string) the Canvas name,
    "stats": [
      {
        "time": (string) the date as ISO 8601 date,
        "total_stats": {
          "revenue": (float) the number of dollars of revenue (USD),
          "conversions": (int) the number of conversions,
          "conversions_by_entry_time": (int) the number of conversions for the conversion event by entry time,
          "entries": (int) the number of entries
        },
        "variant_stats": (optional) {
          "00000000-0000-0000-0000-0000000000000": (string) the API identifier for the variant {
            "name": (string) the name of variant,
            "revenue": (float) the number of dollars of revenue (USD),
            "conversions": (int) the number of conversions,
            "conversions_by_entry_time": (int) the number of conversions for the conversion event by entry time,
            "entries": (int) the number of entries
          },
          ... (more variants)
        },
        "step_stats": (optional) {
          "00000000-0000-0000-0000-0000000000000": (string) the API identifier for the step {
            "name": (string) the name of step,
            "revenue": (float) the number of dollars of revenue (USD),
            "conversions": (int) the number of conversions,
            "conversions_by_entry_time": (int) the number of conversions for the conversion event by entry time,
            "messages": {
              "email": [
                {
                  "sent": (int) the number of sends,
                  "opens": (int) the number of opens,
                  "unique_opens": (int) the number of unique opens,
                  "clicks": (int) the number of clicks
                  ... (more stats)
                }
              ],
              "sms" : [
                {
                  "sent": (int) the number of sends,
                  "sent_to_carrier" : (int) the number of messages sent to the carrier,
                  "delivered": (int)the number of delivered messages,
                  "rejected": (int) the number of rejected messages,
                  "delivery_failed": (int) the number of failed deliveries,
                  "clicks": (int) the number of clicks on shortened links,
                  "opt_out" : (int) the number of opt outs,
                  "help" : (int) the number of help messages received
                }
              ],
              ... (more channels)
            }
          },
          ... (more steps)
        }
      },
      ... (more stats by time)
    ]
  },
  "message": (required, string) the status of the export, returns 'success' when completed without errors
}
New Stuff!